"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var axios_1 = __importDefault(require("axios"));
/* istanbul ignore next */
function createHTTPClient(client) {
    if (client === void 0) { client = axios_1.default; }
    return {
        fetch: function (url, config) { return client(url, config).then(function (_a) {
            var data = _a.data;
            return data;
        }); }
    };
}
exports.createHTTPClient = createHTTPClient;
/* istanbul ignore next */
exports.default = createHTTPClient(axios_1.default);
